commit: c7a0f93c94356ff99100776715f7c038a4bfd06f
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 2 05:14:02 2020 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Sep 2 05:14:02 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c7a0f93c
mail-filter/pyzor: rename to 1.0.0_p20200523
* Version change in case upstream release something other than
1.0.1. Could work with _pre, but this is the convention I stick to.
* Keep Python 3.6 (can't add Python 3.9 because of mysqlclient)
* Minor style changes
Package-Manager: Portage-3.0.4, Repoman-2.3.23
Signed-off-by: Sam James <sam <AT> gentoo.org>
mail-filter/pyzor/Manifest | 2 +-
...zor-1.0.1_pre20200523.ebuild => pyzor-1.0.0_p20200523.ebuild} | 9 +++++----
2 files changed, 6 insertions(+), 5 deletions(-)
diff --git a/mail-filter/pyzor/Manifest b/mail-filter/pyzor/Manifest
index fc35455a69a..418fdd57e1c 100644
--- a/mail-filter/pyzor/Manifest
+++ b/mail-filter/pyzor/Manifest
@@ -1,2 +1,2 @@
DIST pyzor-1.0.0.tar.gz 126276 BLAKE2B
c60f26c53bf118c88dacbc49ddd414473748af1868b383a9c937ecf3cfe426ecdd60f64388fe7e555bd4641ef445769600e40879279dd544ef9ea32bd0dab6b9
SHA512
b3fb8b2c5261e187a2ab3a5a3b12d221df7de08766c6bb2ad9990c0f23517534871ecc9d5ad529e79b0d0aef8b2b800728320c57435a8c0d8c3f80a4ba0f7e4a
-DIST pyzor-f46159bd6519cebcebf59e9334a7920371111d75.tar.gz 138077 BLAKE2B
13ad30f06ce32a24a42dd5aaa21ad2a6700df1bac3dc54a86532748688b094ee0f56a8e28e34336298388c6e0b95868e95d040866c9afa561d867069496608fe
SHA512
afe3b14794aea68b1a7d72840257976c7c9f755a6f6dcaaf6ebacab465c176fe2aa84f3fe176006cdbe26ef0b07ed949f75f6ef729f65c604fadf6ce8472da8f
+DIST pyzor-1.0.0_p20200523.tar.gz 138077 BLAKE2B
13ad30f06ce32a24a42dd5aaa21ad2a6700df1bac3dc54a86532748688b094ee0f56a8e28e34336298388c6e0b95868e95d040866c9afa561d867069496608fe
SHA512
afe3b14794aea68b1a7d72840257976c7c9f755a6f6dcaaf6ebacab465c176fe2aa84f3fe176006cdbe26ef0b07ed949f75f6ef729f65c604fadf6ce8472da8f
diff --git a/mail-filter/pyzor/pyzor-1.0.1_pre20200523.ebuild
b/mail-filter/pyzor/pyzor-1.0.0_p20200523.ebuild
similarity index 88%
rename from mail-filter/pyzor/pyzor-1.0.1_pre20200523.ebuild
rename to mail-filter/pyzor/pyzor-1.0.0_p20200523.ebuild
index 690769b4a58..24a836232fd 100644
--- a/mail-filter/pyzor/pyzor-1.0.1_pre20200523.ebuild
+++ b/mail-filter/pyzor/pyzor-1.0.0_p20200523.ebuild
@@ -3,14 +3,14 @@
EAPI=7
-PYTHON_COMPAT=( python3_{7,8} )
+PYTHON_COMPAT=( python3_{6,7,8} )
inherit distutils-r1
COMMIT="f46159bd6519cebcebf59e9334a7920371111d75"
DESCRIPTION="A distributed, collaborative spam detection and filtering network"
HOMEPAGE="https://github.com/SpamExperts/pyzor"
-SRC_URI="https://github.com/SpamExperts/pyzor/archive/${COMMIT}.tar.gz ->
${PN}-${COMMIT}.tar.gz"
+SRC_URI="https://github.com/SpamExperts/pyzor/archive/${COMMIT}.tar.gz ->
${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
@@ -40,6 +40,7 @@ REQUIRED_USE="
pyzord? ( || ( gdbm redis ) )
test? ( gdbm redis )
"
+
S="${WORKDIR}/${PN}-${COMMIT}"
distutils_enable_sphinx "docs"
@@ -53,9 +54,9 @@ src_install() {
if use pyzord; then
dodir /usr/sbin
- mv "${D}"/usr/bin/pyzord* "${ED}/usr/sbin" \
+ mv "${ED}"/usr/bin/pyzord* "${ED}/usr/sbin" \
|| die "failed to relocate pyzord"
else
- rm "${D}"/usr/bin/pyzord* || die "failed to remove pyzord"
+ rm "${ED}"/usr/bin/pyzord* || die "failed to remove pyzord"
fi
}